<template>
  <div class="home">
    <h1>One Night Ultimate Werewolf</h1>
    <game-start></game-start>
    <game-join></game-join>

    <b-alert variant="success" :show="showAlert">Hello {{ name }}</b-alert>
  </div>
</template>

<script>
import * as fb from "@/firebase";
import GameStart from '@/components/GameStart.vue'
import GameJoin from '@/components/GameJoin.vue'

export default {
  name: "Home",
  components: {
    GameStart, GameJoin
   },
  data() {
    return {
      name: "",
      nameState: null
    };
  },
  computed: {
    showAlert() {
      return this.name.length > 4 ? true : false;
    }
  },
  methods: {
    checkFormValidity() {
      const valid = this.$refs.startForm.checkValidity();
      this.nameState = valid;
      return valid;
    },
    resetModal() {
      this.name = "";
      this.nameState = null;
    },
    handleOk(bvModalEvt) {
      // Prevent modal from closing
      bvModalEvt.preventDefault();
      // Trigger submit handler
      this.handleSubmit();
    },
    handleSubmit() {
      // Exit when the form isn't valid
      if (!this.checkFormValidity()) {
        return;
      }

      fb.db
        .collection("games")
        .add({ players: [this.name] })
        .then(doc => {
          console.log(doc.id);
          this.$bvModal.hide("modal-start");
        });
    }
  }
};
</script>
